/*
 * db_creator_parameters.h
 *
 *  Created on: 2011/04/11
 *      Author: shu
 */

#ifndef DB_CREATOR_PARAMETERS_H_
#define DB_CREATOR_PARAMETERS_H_

#include "common_parameters.h"
#include "sequence_type.h"
#include "encoder.h"
#include <string.h>
#include <stdint.h>

class DbCreatorParameters : public CommonParameters{
public:
  DbCreatorParameters();

  void SetParameters(int argc, char* argv[]);

  string GetDbName() const {
    return db_filename_;
  }

  string GetInputName() const {
    return input_filename_;
  }

  uint32_t GetMaxChunkSequenceLength() const {
    return max_chunk_sequence_length_;
  }


private:
  string db_filename_;
  string input_filename_;
  uint32_t max_chunk_sequence_length_;
};

#endif /* DB_CREATOR_PARAMETERS_H_ */
