/*
 * translator.h
 *
 *  Created on: 2010/09/14
 *      Author: shu
 */

#ifndef TRANSLATOR_H_
#define TRANSLATOR_H_

#include<string>
#include<vector>
#include<map>
#include <stdint.h>

class DnaSequence;
class ProteinSequence;

using namespace std;

class Translator {
public:
  Translator();

  void Translate(const DnaSequence &dna, vector<ProteinSequence> &proteins);

private:
  vector<string> start_codons_;
  map<string, string>codon_table_;
};

#endif /* TRANSLATOR_H_ */
